%define	fname	tuxtype_w_fonts

Summary:	Educational typing tutor game starring Tux
Name:		tuxtype
Version:	1.8.0
Release:	%mkrel 2
# have to change with each new release as the number after download.php changes :(
Source0:	http://alioth.debian.org/frs/download.php/3175/%{fname}-%{version}.tar.gz
URL:		http://alioth.debian.org/frs/?group_id=31080
License:	GPLv2+
Group:		Games/Other
BuildRequires:	SDL-devel
BuildRequires:	SDL_ttf-devel
BuildRequires:	SDL_mixer-devel
BuildRequires:	SDL_image-devel
BuildRequires:	SDL_Pango-devel
BuildRequires:	imagemagick
BuildRequires:	librsvg-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Provides:	tuxtype2 = %{version}-%{release}
Obsoletes:	tuxtype2 < 1.5.3-9

%description 
Tux Typing is an educational typing tutor game starring Tux, the Linux
penguin. It is graphical and requires SDL to run. This is a stable
release.

%prep
%setup -q -n %{fname}-%{version}
# Fix incorrect paths hardcoded into the source (#46417) - AdamW
sed -i -e 's,/usr/share/fonts/truetype/ttf-.*/,%{_gamesdatadir}/%{name}/fonts/,g' src/loaders.c
sed -i -e 's,/usr/share,%{_gamesdatadir},g' src/setup.c

%build
%configure2_5x	--disable-rpath \
		--bindir=%{_gamesbindir} \
		--datadir=%{_gamesdatadir} \
		--localstatedir=%{_localstatedir}/lib 
%make

%install
rm -rf %{buildroot}
%makeinstall_std
rm -fr %{buildroot}%{_prefix}/doc/tuxtype

install -d %{buildroot}%{_datadir}/applications
cat <<EOF > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop
[Desktop Entry]
Name=TuxType
Comment=Educational typing tutor game starring Tux
Exec=%{_gamesbindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Game;KidsGame;Educational;
EOF

mkdir -p %{buildroot}%{_iconsdir}/hicolor/{48x48,32x32,16x16}/apps
convert -scale 16x16 %{name}.ico %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png
convert -scale 32x32 %{name}.ico %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
convert -scale 48x48 %{name}.ico %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png

mkdir -p %{buildroot}/%{_localstatedir}/lib/%{name}

%find_lang %{name}

%if %mdkversion < 200900
%post
%{update_menus}
%{update_icon_cache hicolor}
%endif

%if %mdkversion < 200900
%postun
%{clean_menus}
%{clean_icon_cache hicolor}
%endif

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog README doc/en/howtotheme.html 
%{_gamesbindir}/%{name}
%{_datadir}/%{name}
%{_gamesdatadir}/%{name}
%{_datadir}/applications/mandriva-%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_localstatedir}/lib/%{name}


%changelog
* Thu Jan 07 2010 Ahmad Samir <ahmadsamir@mandriva.org> 1.8.0-2mdv2010.1
+ Revision: 487378
- compile with --localstatdir=%%{_localstatedir}/lib (fix bug#56649)

* Sun Nov 29 2009 Jérôme Brenier <incubusss@mandriva.org> 1.8.0-1mdv2010.1
+ Revision: 471531
- new version 1.8.0
- re-enable -Werror=format-security

  + Frederik Himpe <fhimpe@mandriva.org>
    - Update to new version 1.7.5

* Thu May 21 2009 Frederik Himpe <fhimpe@mandriva.org> 1.7.4-1mdv2010.0
+ Revision: 378554
- Update to new version 1.7.4

* Tue Dec 23 2008 Adam Williamson <awilliamson@mandriva.org> 1.7.0-1mdv2009.1
+ Revision: 317816
- add some comments
- now has translations
- correct doc location for new release
- fix some incorrect hardcoded paths (#46417)
- clean spec a bit
- new release 1.7.0

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Fri Apr 18 2008 Adam Williamson <awilliamson@mandriva.org> 1.5.17-1mdv2009.0
+ Revision: 195474
- some spec cleanups
- new release 1.5.17

* Sat Apr 12 2008 Funda Wang <fwang@mandriva.org> 1.5.15-1mdv2009.0
+ Revision: 192601
- New version 1.5.15

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Sep 06 2007 Adam Williamson <awilliamson@mandriva.org> 1.5.12-1mdv2008.0
+ Revision: 80749
- buildrequires SDL_Pango-devel
- drop old menu, X-Mandriva menu category, and icons
- use Fedora license policy
- new release 1.5.12

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

* Thu May 24 2007 Adam Williamson <awilliamson@mandriva.org> 1.5.8-1mdv2008.0
+ Revision: 30873
- Import tuxtype

